/* You can add global styles to this file, and also import other style files */
$editor-background: rgb(212, 212, 212);
$toolbar-background: rgb(240, 240, 240);
$toolbar-buttonhover: rgb(227, 227, 227);
$button-overlay-create: #337ab7;
$button-overlay-cancel: #d43f3a;
$toolbar-button-down: rgb(48, 48, 48);
$toolbar-button-down-hover: #4b4b4b;

.c-container {
  background-color: rgb(212, 212, 212);
  padding: 5px;
}

.seperator {
  border-width: 0px;
  border-color: rgb(217, 217, 217);
  padding-left: 3px;
  margin-left: 3px;
  border-style: solid;
  border-left-width: 1px;
  display: inline-block;
}

.c-row {
	background-color: $editor-background;
	float: none;
  margin: 5px;
  margin-top: 0px;
  margin-bottom: 0px;
  border-color: rgba(0, 0, 0, 0.2);
  border-style: solid;
  border-width: 1px;
  border-top-width: 0px;
}

.c-asci-view {
	background-color: #ffffff;
	width: 100%;
	height: 100%;
  margin-right: 0px;
  padding: 0px;
}

.c-img-view {
	background-color: #ffffff;
	width: 100%;
	height: 100%;
  padding: 0px;
}

.div-btn {
  margin: 2px 0 2px 2px;
  display: inline-block;
  border-style: solid;
  border-width: 1px;
  border-color: transparent;
  background: transparent;
  font-size: 0;
}

.div-btn:hover {
  border-color: #ccc;
  background-color: $toolbar-buttonhover;
  filter: none;
}

.format {
  line-height: 20px;
  display: inline-block;
  text-align: center;
  margin: 2px 0px;
  padding: 2px 2px;
  align-items: flex-start;
  border-style: none;
  cursor: pointer;
  overflow: visible;
  background: transparent;
  font-size: 16px;
}

.format:active,
.format:focus {
  outline: none;
}

.btn-tb {
  border-style: none;
  font-size: 14px;
  line-height: 20px;
  cursor: pointer;
  color: #333;
  text-align: center;
  overflow: visible;
  -webkit-appearance: none;
  background: transparent;
  white-space: nowrap;
}

.btn-tb:focus {
  outline: none;
}

.btn-tb-d {
  padding: 4px 8px;
}

.btn-tb-drop {
  padding: 4px 6px;
}

.btn-tb-switch {
  padding: 4px 2px 4px 6px;
}

.btn-tb-arrow {
  padding: 4px 4px;
  line-height: 20px;
  border-left: 1px solid transparent;
  border-left-color: inherit;
}

.check-tb-switch {
  padding: 4px 2px 4px 2px;
  border-left: 1px solid transparent;
  border-left-color: inherit;
  float: right;
}

.btn-tb-down {
  margin-top: 4px;
  padding: 4px 14px;
  font-size: 0px;
  color: #333;
  background-color: $toolbar-button-down;
  border-color: rgb(17, 17, 17);
}

.btn-tb-down:hover {
  color: #333;
  background-color: $toolbar-button-down-hover;
  border-color: #adadad;
}

.c-btn2:hover {
  border-left-color: rgb(204, 204, 204);
}

.c-height {
	height: 500px;
}

.c-canvas {
	background-color: $editor-background;
	padding: 0px;
  margin-left: 10px;
	margin-bottom: 5px;
  margin-top: 5px;
  float: left;
}

.c-tool-bar {
	background-color: $toolbar-background;
  margin: 5px;
  padding: 5px;
  margin-left: 5px;
  margin-bottom: 0px;
  border-color: rgba(0, 0, 0, 0.2);
  border-style: solid;
  border-width: 1px;
  font-size: 0;
}

.c-drag-box {
	height: 9px;
	width: 9px;
  background-color: #ffffff;
  border-style: solid;
  border-width: 1px;
	float: right;
	cursor: nwse-resize;
}

.c-menu-item {
  background-color: #ffffff;
  padding: 5px;
  margin: 5px;
  border-style: solid;
  border-width: 1px;
}

.c-canvas-container {
  padding-left: 0px;
  float: left;
  display: flex;
  padding: 0px;
  background-color: $editor-background;
}

.c-overlay {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 2;
  cursor: pointer;
}

.c-overlay-element {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  -ms-transform: translate(-50%,-50%);
  width: 300px;
}

.c-overlay-panel {
  padding: 10px;
}

.c-input-src {
  border: 1px;
  background-color: #b1b1b1;
  position: absolute;
  border-style: solid;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
}

input[type="file"] {
  display: none;
}

.custom-file-upload {
  border: 1px solid #ccc;
  display: inline-block;
  padding: 6px 12px;
  cursor: pointer;
}

.ng-valid[required], .ng-valid.required  {
  border-left: 5px solid #42A948;
}

.ng-invalid[required], .ng-valid.required  {
  border-left: 5px solid #a94442;
}

.ng-valid[color-input], .ng-valid.color-input  {
  outline-color: rgb(0, 255, 21);
}

body {
  font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 14px;
  line-height: 1.42857143;
  color: #333;
  background-color: #fff;
}

.h1, h1 {
  font-size: 36px;
}

.container {
  margin-right: auto;
  margin-left: auto;
}
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

.row:after {
  display: table;
  content: " ";
  clear: both;
}

.btn {
  display: inline-block;
  margin-bottom: 0;
  font-size: 14px;
  font-weight: normal;
  line-height: 1.42857143;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -ms-touch-action: manipulation;
      touch-action: manipulation;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 4px;
}

.btn:hover,
.btn:focus,
.btn.focus {
  color: #333;
  text-decoration: none;
  outline: none;
}

.btn {
  margin-bottom: 0;
  margin-left: 0px;
}

.btn-default {
  padding: 0px 2px;
  font-size: 0px;
  color: #333;
  background-color: rgb(48, 48, 48);
  border-color: rgb(17, 17, 17);
}

.btn-default:hover {
  color: #333;
  background-color: #4b4b4b;
  border-color: #adadad;
}

.btn-icon {
  padding: 0px 2px;
  font-size: 0px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.image {
  width:16px;
  height:16px;
  vertical-align: text-top;
}

.image2 {
  width:8px;
  height:8px;
  vertical-align: text-top;
  margin-top: 4px;
}

.btn-icon:hover {
  color: #333;
  background-color: #e6e6e6;
  border-color: #adadad;
}

.btn-primary {
  color: #fff;
  background-color: $button-overlay-create;
  border-color: $button-overlay-create;
}

.btn-danger {
  color: #fff;
  background-color: $button-overlay-cancel;
  border-color: $button-overlay-cancel;
}

.panel {
  margin-bottom: 20px;
  background-color: #fff;
  border: 1px solid transparent;
  border-radius: 4px;
  box-sizing: border-box;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
          box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

/* ---------------- switch */
.switch {
  position: relative;
  display: inline-block;
  width: 20px;
  height: 12px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 9px;
  left: 2px;
  bottom: 1px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(7px);
  -ms-transform: translateX(7px);
  transform: translateX(7px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 11px;
}

.slider.round:before {
  border-radius: 50%;
}

/* ------------------------------------- OVERLAY */

label {
  display: inline-block;
  max-width: 100%;
  margin-top: 2px;
  font-weight: 700;
}

.text-muted {
  color: #777;
}

input, textarea, select, button {
  text-rendering: auto;
  color: initial;
  letter-spacing: normal;
  word-spacing: normal;
  text-transform: none;
  text-indent: 0px;
  text-shadow: none;
  display: inline-block;
  text-align: start;
  margin: 0em;
  font: 400 13.3333px Arial;
}

.form-control {
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  box-sizing: border-box;
}

.form-control:after, .form-control:before {
  box-sizing: border-box;
}

.form-group {
  margin-bottom: 15px;
}

.small, small {
  font-size: 85%;
}

.col-sm-5 {
  position: relative;
}

.alert {
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
}

.alert-danger {
  color: #a94442;
  background-color: #f2dede;
  border-color: #ebccd1;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: block;
  position: absolute;
  background-color: transparent;
  min-width: auto;
  z-index: 1;
  border-style: none;
}

.dropdown-content button {
  text-decoration: none;
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: #3e8e41;
}

.color-input {
  border-width: 1px;
  border-color: #ffffff00;
  padding-top: 2px;
  background-color: rgba(236, 236, 236, 0.63);
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip a {
  color: rgb(206, 206, 206);
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 200px;
  background-color: rgb(110, 110, 110);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  font-size: 14px;
  position: absolute;
  z-index: 1;
  top: 100%;
  left: -200%;
  margin-left: -60px;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}
